package cl.jtv;

/*
 * ComandoIML.java
 *
 * Created on 18 de febrero de 2003, 10:47 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoIML extends Comando {
    
    int xOld,yOld;
    /** Creates new ComandoIML */
    public ComandoIML(Object newArtefacto,Vector2 newVector2) {
        super(newArtefacto,newVector2);
        xOld = ((Maquina)artefacto).x0;
        yOld = ((Maquina)artefacto).y0;
        inverse = new ComandoEM(artefacto,vector2);
    }

    public void doIt() {
        vector2.add(artefacto);
        ((Maquina)artefacto).x0 = xOld;
        ((Maquina)artefacto).y0 = yOld;
        //((Maquina)artefacto).mover(0,0);
        ((Maquina)artefacto).updateBounds();
        super.doIt();
    }
    
    
}
